@use 'variables' as *;

.settings-page {
	flex: 1;
	display: flex;
	flex-flow: column nowrap;

	&__header {
		color: $white;
		padding: 2px 0px;
		border-bottom: 2px solid $grayB;
		width: 100%;
	}

	&__row {
		display: flex;
		flex-flow: row wrap;
		column-gap: 8px;

		margin: 8px;

		.iwdr-Input {
			flex: 1;
		}
	}

	&__empty-repos {
		color: $white;
		flex: 1;
		text-align: center;
	}

	&__error {
		color: $redA;
	}

	&__remove {
		color: $redA;

		&:hover {
			color: $redB;
		}
	}
}